Name:          lnav
Version:       0.12.3
Release:       %mkrel 1
Group:         Monitoring
Summary:       Curses-based tool for viewing and analyzing log files
License:       BSD
URL:           https://lnav.org
Source0:       https://github.com/tstack/lnav/releases/download/v%{version}/%{name}-%{version}.tar.bz2
BuildRequires: gcc-c++
BuildRequires: re2c
BuildRequires: gpm-devel
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: openssh

%description
lnav is an enhanced log file viewer that takes advantage of any semantic
information that can be gleaned from the files being viewed, such as
timestamps and log levels. Using this extra semantic information, it can
do things like interleaving messages from different files, generate
histograms of messages over time, and providing hotkeys for navigating
through the file. It is hoped that these features will allow the user to
quickly and efficiently zero in on problems.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS.md README README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Dec 01 2024 daviddavid <daviddavid> 0.12.3-1.mga10
+ Revision: 2120444
- new version: 0.12.3

* Tue May 07 2024 daviddavid <daviddavid> 0.12.2-1.mga10
+ Revision: 2062765
- new version: 0.12.2

* Thu Nov 03 2022 guillomovitch <guillomovitch> 0.11.1-1.mga9
+ Revision: 1902098
- new version 0.11.1

* Sat Oct 01 2022 guillomovitch <guillomovitch> 0.11.0-1.mga9
+ Revision: 1893633
- new version 0.11.0

* Tue Mar 29 2022 umeabot <umeabot> 0.10.1-3.mga9
+ Revision: 1832963
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 0.10.1-2.mga9
+ Revision: 1790482
- Add include.patch to fix compile error with libstdc++ ver. 12

* Sun Nov 28 2021 guillomovitch <guillomovitch> 0.10.1-1.mga9
+ Revision: 1759735
- new version 0.10.1

* Sun Oct 10 2021 guillomovitch <guillomovitch> 0.10.0-1.mga9
+ Revision: 1750461
- new version 0.10.0

* Sun Oct 25 2020 guillomovitch <guillomovitch> 0.9.0-1.mga8
+ Revision: 1639268
- new version 0.9.0

* Sun May 24 2020 wally <wally> 0.8.5-4.mga8
+ Revision: 1587194
- drop python2 BR
- build with libgpm

* Wed Feb 19 2020 umeabot <umeabot> 0.8.5-3.mga8
+ Revision: 1542724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 0.8.5-2.mga8
+ Revision: 1476811
- rebuild for readline

* Sat Apr 20 2019 guillomovitch <guillomovitch> 0.8.5-1.mga7
+ Revision: 1394037
- new version 0.8.5

* Tue Jan 01 2019 guillomovitch <guillomovitch> 0.8.4-1.mga7
+ Revision: 1348147
- new version 0.8.4

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-2.mga7
+ Revision: 1299335
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 guillomovitch <guillomovitch> 0.8.3-1.mga7
+ Revision: 1247097
- imported package lnav

